## python-werkzeug 0.16.1+dfsg1

=== docs/requirements.txt ===
Sphinx~=1.8.3
Pallets-Sphinx-Themes~=1.1.2
sphinx-issues~=1.2.0

=== debian/changelog ===
python-werkzeug (0.16.1+dfsg1-1ubuntu1) focal; urgency=medium

  * Build-depend on python2-doc.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 31 Jan 2020 07:07:34 +0100

=== debian/control ===
Source: python-werkzeug
Section: python
Priority: optional
Maintainer: Python Modules Packaging Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Piotr Ożarowski <piotr@debian.org>,
 Ondřej Nový <onovy@debian.org>,
Standards-Version: 4.5.0
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 memcached,
 python-all,
 python2-doc,
 python-lxml,
 python-nose,
 python-pylibmc,
 python-pytest,
 python-redis,
 python-requests,
 python-setuptools,
 python-simplejson,
 python3-all,
 python3-lxml,
 python3-nose,
 python3-pallets-sphinx-themes,
 python3-pytest,
 python3-pytest-timeout,
 python3-requests,
 python3-setuptools,
 python3-simplejson,
 python3-sphinx,
 python3-sphinx-issues,
 redis-server,
Homepage: http://werkzeug.pocoo.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-werkzeug.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-werkzeug
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python-werkzeug
Architecture: all
Depends:
 libjs-jquery,
 ${misc:Depends},
 ${python:Depends},
Recommends:
 python-openssl,
 python-pyinotify,
Suggests:
 ipython,
 python-genshi,
 python-greenlet,
 python-lxml,
 python-pkg-resources,
 python-pylibmc | python-memcache,
 python-redis,
 python-termcolor,
 python-watchdog,
 python-werkzeug-doc,
Description: collection of utilities for WSGI applications (Python 2.x)
 The Web Server Gateway Interface (WSGI) is a standard interface between web
 server software and web applications written in Python.
 .
 Werkzeug is a lightweight library for interfacing with WSGI. It features
 request and response objects, an interactive debugging system and a powerful
 URI dispatcher. Combine with your choice of third party libraries and
 middleware to easily create a custom application framework.
 .
 This package contains the Python 2.x module.

Package: python3-werkzeug
Architecture: all
Depends:
 libjs-jquery,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-openssl,
 python3-pyinotify,
Suggests:
 ipython3,
 python-werkzeug-doc,
 python3-lxml,
 python3-pkg-resources,
 python3-termcolor,
 python3-watchdog,
Description: collection of utilities for WSGI applications (Python 3.x)
 The Web Server Gateway Interface (WSGI) is a standard interface between web
 server software and web applications written in Python.
 .
 Werkzeug is a lightweight library for interfacing with WSGI. It features
 request and response objects, an interactive debugging system and a powerful
 URI dispatcher. Combine with your choice of third party libraries and
 middleware to easily create a custom application framework.
 .
 This package contains the Python 3.x module.

Package: python-werkzeug-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Replaces:
 python-werkzeug (<< 0.9.3+dfsg-2),
Breaks:
 python-werkzeug (<< 0.9.3+dfsg-2),
Description: documentation for the werkzeug Python library (docs)
 Werkzeug is a lightweight library for interfacing with WSGI. It features
 request and response objects, an interactive debugging system and a powerful
 URI dispatcher. Combine with your choice of third party libraries and
 middleware to easily create a custom application framework.
 .
 This package provides the Sphinx generated documentation for Werkzeug.

=== debian/rules ===
#!/usr/bin/make -f

# Copyright 2009, Noah Slater <nslater@tumbolia.org>

# Copying and distribution of this file, with or without modification, are
# permitted in any medium without royalty provided the copyright notice and this
# notice are preserved.

export PYBUILD_NAME=werkzeug
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS="-k-test_windows_get_args_for_reloading"

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild

override_dh_auto_clean:
	make -C docs clean
	rm -rf build Werkzeug.egg-info/
	#find $(CURDIR) \( -name '\._*' -o -name '\.DS_Store' \) -delete
	dh_auto_clean

override_dh_auto_test:
	set -ex; \
		memcached -p 11211 -l 127.0.0.1 & \
		trap "kill $$! || true" EXIT; \
		LC_ALL=C.UTF-8 dh_auto_test; \

override_dh_fixperms:
	find debian/ -name '*\.png' -exec chmod -x '{}' \;
	dh_fixperms

override_dh_installdocs:
	dh_installdocs --doc-main-package=python-werkzeug-doc -ppython-werkzeug-doc
	dh_installdocs

override_dh_installexamples:
	dh_installexamples --doc-main-package=python-werkzeug-doc -ppython-werkzeug-doc

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=src python3 -m sphinx -b html docs/ debian/python-werkzeug-doc/usr/share/doc/python-werkzeug-doc/html/
	dh_sphinxdoc
endif

## python-werkzeug 1.0.1+dfsg1

=== docs/requirements.txt ===
Sphinx~=1.8.3
Pallets-Sphinx-Themes~=1.1.2
sphinx-issues~=1.2.0
sphinxcontrib-log-cabinet~=1.0.1

=== debian/changelog ===
python-werkzeug (1.0.1+dfsg1-2+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * don't strip leading = when parsing cookie (CVE-2023-23934)
    (Closes: #1031370)
  * limit the maximum number of multipart form parts (CVE-2023-25577)
    (Closes: #1031370)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 14 Jun 2023 15:06:21 +0200

python-werkzeug (1.0.1+dfsg1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Ondřej Nový <onovy@debian.org>  Tue, 14 Jul 2020 09:40:21 +0200

python-werkzeug (1.0.1+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * Sync with unstable (Closes: #938261).
  * Bump upstream compat level to 13.

 -- Ondřej Nový <onovy@debian.org>  Fri, 22 May 2020 09:18:21 +0200

python-werkzeug (1.0.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * Remove python{,3}-termcolor from depends.
  * Disable sphinxcontrib.log_cabinet extension.

 -- Ondřej Nový <onovy@debian.org>  Wed, 12 Feb 2020 17:42:37 +0100

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,15 @@
 Priority: optional
 Maintainer: Python Modules Packaging Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
- Piotr Ożarowski <piotr@debian.org>,
  Ondřej Nový <onovy@debian.org>,
 Standards-Version: 4.5.0
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  memcached,
- python-all,
- python2-doc,
- python-lxml,
- python-nose,
- python-pylibmc,
- python-pytest,
- python-redis,
- python-requests,
- python-setuptools,
- python-simplejson,
+ python3-doc,
+ python3-pylibmc,
+ python3-redis,
  python3-all,
  python3-lxml,
  python3-nose,
@@ -38,37 +30,6 @@
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
-Package: python-werkzeug
-Architecture: all
-Depends:
- libjs-jquery,
- ${misc:Depends},
- ${python:Depends},
-Recommends:
- python-openssl,
- python-pyinotify,
-Suggests:
- ipython,
- python-genshi,
- python-greenlet,
- python-lxml,
- python-pkg-resources,
- python-pylibmc | python-memcache,
- python-redis,
- python-termcolor,
- python-watchdog,
- python-werkzeug-doc,
-Description: collection of utilities for WSGI applications (Python 2.x)
- The Web Server Gateway Interface (WSGI) is a standard interface between web
- server software and web applications written in Python.
- .
- Werkzeug is a lightweight library for interfacing with WSGI. It features
- request and response objects, an interactive debugging system and a powerful
- URI dispatcher. Combine with your choice of third party libraries and
- middleware to easily create a custom application framework.
- .
- This package contains the Python 2.x module.
-
 Package: python3-werkzeug
 Architecture: all
 Depends:
@@ -83,7 +44,6 @@
  python-werkzeug-doc,
  python3-lxml,
  python3-pkg-resources,
- python3-termcolor,
  python3-watchdog,
 Description: collection of utilities for WSGI applications (Python 3.x)
  The Web Server Gateway Interface (WSGI) is a standard interface between web

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,\
dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg1,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/werkzeug-$1\.tar\.gz/ \
https://github.com/pallets/werkzeug/tags .*/v?(\d\S*)\.tar\.gz

## python-werkzeug 2.0.2%2Bdfsg1

=== debian/changelog ===
python-werkzeug (2.0.2+dfsg1-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * [d3f7b22] fix build-deps so correct pkgs are used from backports

 -- Joseph Nahmias <jello@debian.org>  Tue, 19 Jul 2022 15:46:07 -0400

python-werkzeug (2.0.2+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * [7cec7d2] remove cruft from build-deps; annotate with nodoc & nocheck as needed
  * [b9d355b] update autopkgtest to match build tests
  * [3b795fe] drop patch disabling sphinxcontrib.log_cabinet and add build-dep

 -- Joseph Nahmias <jello@debian.org>  Tue, 19 Jul 2022 00:09:48 -0400

python-werkzeug (2.0.2+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * [c775e23] run upstream tests as autopkgtest

 -- Joseph Nahmias <jello@debian.org>  Sun, 17 Jul 2022 20:21:48 -0400

python-werkzeug (2.0.2+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * Update to new upstream release 2.0.2
  * Remove upstreamed Python 3.10 patch
  * Get all tests working again

 -- Scott Talbert <swt@techie.net>  Thu, 11 Nov 2021 20:52:03 -0500

python-werkzeug (2.0.1+dfsg1-3) unstable; urgency=medium

  [ Athos Ribeiro ]
  * Team upload.
  * d/p/fix-python-3.10.patch: Fix builds for Python 3.10 (LP: #1950335)

 -- Scott Talbert <swt@techie.net>  Tue, 09 Nov 2021 22:17:06 -0500

python-werkzeug (2.0.1+dfsg1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:15:08 +0200

python-werkzeug (2.0.1+dfsg1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Bump my copyright year.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Apply multi-arch hints.
    + python-werkzeug-doc: Add Multi-Arch: foreign.
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster:
    + python-werkzeug-doc: Drop versioned constraint on python-werkzeug in
      Replaces.
    + python-werkzeug-doc: Drop versioned constraint on python-werkzeug in
      Breaks.

  [ Thomas Goirand ]
  * Team upload.
  * New upstream release.
  * Removed pytest-timeout.patch now useless.
  * Refreshed disable-sphinxcontrib-log_cabinet.patch.
  * Add python3-pytest-xprocess as build-depends.
  * Fix PYBUILD_TEST_ARGS.
  * Black list all failing tests, please help me to re-enable them.

 -- Thomas Goirand <zigo@debian.org>  Sat, 18 Sep 2021 15:03:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,29 @@
 Source: python-werkzeug
 Section: python
 Priority: optional
-Maintainer: Python Modules Packaging Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Ondřej Nový <onovy@debian.org>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- memcached,
  python3-doc,
- python3-pylibmc,
- python3-redis,
  python3-all,
- python3-lxml,
- python3-nose,
- python3-pallets-sphinx-themes,
- python3-pytest,
- python3-pytest-timeout,
- python3-requests,
+ python3-cryptography <!nocheck>,
+ python3-greenlet <!nocheck>,
+ python3-pallets-sphinx-themes (>= 2.0) <!nodoc>,
+ python3-pytest (>= 6.2) <!nocheck>,
+ python3-pytest-timeout <!nocheck>,
+ python3-pytest-xprocess <!nocheck>,
  python3-setuptools,
- python3-simplejson,
- python3-sphinx,
- python3-sphinx-issues,
- redis-server,
+ python3-sphinx <!nodoc>,
+ python3-sphinxcontrib-log-cabinet <!nodoc>,
+ python3-sphinx-issues <!nodoc>,
+ python3-watchdog <!nocheck>,
 Homepage: http://werkzeug.pocoo.org/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-werkzeug.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-werkzeug
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-werkzeug.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-werkzeug
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
@@ -62,10 +59,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
-Replaces:
- python-werkzeug (<< 0.9.3+dfsg-2),
-Breaks:
- python-werkzeug (<< 0.9.3+dfsg-2),
+Multi-Arch: foreign
 Description: documentation for the werkzeug Python library (docs)
  Werkzeug is a lightweight library for interfacing with WSGI. It features
  request and response objects, an interactive debugging system and a powerful

=== debian/rules ===
--- 
+++ 
@@ -8,22 +8,15 @@
 
 export PYBUILD_NAME=werkzeug
 export PYBUILD_TEST_PYTEST=1
-export PYBUILD_TEST_ARGS="-k-test_windows_get_args_for_reloading"
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem pybuild
 
 override_dh_auto_clean:
 	make -C docs clean
 	rm -rf build Werkzeug.egg-info/
 	#find $(CURDIR) \( -name '\._*' -o -name '\.DS_Store' \) -delete
 	dh_auto_clean
-
-override_dh_auto_test:
-	set -ex; \
-		memcached -p 11211 -l 127.0.0.1 & \
-		trap "kill $$! || true" EXIT; \
-		LC_ALL=C.UTF-8 dh_auto_test; \
 
 override_dh_fixperms:
 	find debian/ -name '*\.png' -exec chmod -x '{}' \;

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-cryptography,
 python3-greenlet,
 python3-pytest (>= 6.2),
 python3-pytest-timeout,
 python3-pytest-xprocess,
 python3-watchdog,
 python3-werkzeug,

## python-werkzeug 2.0.2+dfsg1

=== debian/changelog ===
python-werkzeug (2.0.2+dfsg1-3ubuntu0.22.10.1) kinetic-security; urgency=medium

  * SECURITY UPDATE: Shadow cookie with nameless cookie
    - debian/patches/CVE-2023-23934.patch: don't strip leading = when
      parsing cookie.
    - CVE-2023-23934
  * SECURITY UPDATE: DoS when processing unlimited multipart form data parts
    - debian/patches/CVE-2023-25577.patch: limit the maximum number of
      multipart form parts.
    - CVE-2023-25577

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Fri, 10 Mar 2023 13:58:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-werkzeug
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Ondřej Nový <onovy@debian.org>,
 Standards-Version: 4.5.1
@@ -12,8 +13,8 @@
  python3-all,
  python3-cryptography <!nocheck>,
  python3-greenlet <!nocheck>,
- python3-pallets-sphinx-themes (>= 2.0) <!nodoc>,
- python3-pytest (>= 6.2) <!nocheck>,
+ python3-pallets-sphinx-themes <!nodoc>,
+ python3-pytest <!nocheck>,
  python3-pytest-timeout <!nocheck>,
  python3-pytest-xprocess <!nocheck>,
  python3-setuptools,

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-cryptography,
 python3-greenlet,
 python3-pytest,
 python3-pytest-timeout,
 python3-pytest-xprocess,
 python3-watchdog,
 python3-werkzeug,

## python-werkzeug 2.2.2

=== debian/changelog ===
python-werkzeug (2.2.2-3ubuntu0.1~cloud0) jammy-bobcat; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Automaton <openstack-testing-bot@ubuntu.com>  Wed, 31 Jul 2024 06:52:56 +0000

python-werkzeug (2.2.2-3ubuntu0.1) mantic-security; urgency=medium

  * SECURITY UPDATE: remote code execution
    - debian/patches/CVE-2024-34069.patch: restrict debugger trusted hosts
    - CVE-2024-34069 

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Tue, 21 May 2024 21:53:24 +0200

python-werkzeug (2.2.2-3) unstable; urgency=medium

  [ Robin Gustafsson ]
  * Fix security vulnerabilities
    (CVE-2023-23934, CVE-2023-25577, Closes: #1031370)

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Apr 2023 13:37:22 +0200

python-werkzeug (2.2.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Nov 2022 13:52:03 +0100

python-werkzeug (2.2.2-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 2.0.2+dfsg1-3.
  * Update standards version to 4.6.1, no changes needed.

  [ Thomas Goirand ]
  * d/watch: Do not use +dfsg1 extension, as the non-free files are gone from
    this new upstream release.
  * New upstream release.
  * Removed drop_ubuntu_font.patch not needed anymore.
  * Add python3-ephemeral-port-reserve as new build-depends, needed for tests.
  * Add remove-test_exclude_patterns-test.patch.
  * Add myself as uploader.
  * Fix autopkgtest to use builddeps rather than a list of packages.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2022 11:13:28 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,16 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
+ Thomas Goirand <zigo@debian.org>,
  Ondřej Nový <onovy@debian.org>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- python3-doc,
  python3-all,
  python3-cryptography <!nocheck>,
+ python3-doc,
+ python3-ephemeral-port-reserve <!nocheck>,
  python3-greenlet <!nocheck>,
  python3-pallets-sphinx-themes <!nodoc>,
  python3-pytest <!nocheck>,
@@ -19,8 +21,8 @@
  python3-pytest-xprocess <!nocheck>,
  python3-setuptools,
  python3-sphinx <!nodoc>,
+ python3-sphinx-issues <!nodoc>,
  python3-sphinxcontrib-log-cabinet <!nodoc>,
- python3-sphinx-issues <!nodoc>,
  python3-watchdog <!nocheck>,
 Homepage: http://werkzeug.pocoo.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-werkzeug.git

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,\
dversionmangle=auto,\
repack,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/werkzeug-$1\.tar\.gz/ \
https://github.com/pallets/werkzeug/tags .*/v?(\d\S*)\.tar\.gz

## python-werkzeug 3.0.1

=== debian/changelog ===
python-werkzeug (3.0.1-3ubuntu0.2~cloud0) jammy-caracal; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Nov 2024 14:06:07 +0000

python-werkzeug (3.0.1-3ubuntu0.2) noble-security; urgency=medium

  * SECURITY UPDATE: DoS via memory consumption
    - debian/patches/CVE-2024-49767.patch: apply max_form_memory_size
      another level up in the parser in src/werkzeug/formparser.py,
      src/werkzeug/sansio/multipart.py, tests/test_formparser.py.
    - CVE-2024-49767

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 30 Oct 2024 14:24:57 +0100

python-werkzeug (3.0.1-3ubuntu0.1) noble-security; urgency=medium

  * SECURITY UPDATE: remote code execution
    - debian/patches/CVE-2024-34069.patch: restrict debugger trusted hosts
    - CVE-2024-34069

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Tue, 21 May 2024 21:53:16 +0200

python-werkzeug (3.0.1-3) unstable; urgency=medium

  * Team upload
  * Rebuild patch queue drom patch-queue branch
    Added patch:
    Fix-test-failure-with-Pytest-8.0.patch
    (Closes: 1063983)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 24 Feb 2024 08:29:01 +0100

python-werkzeug (3.0.1-2) unstable; urgency=medium

  * Team upload

  [ Julian Gilbey ]
  * Add python3-markupsafe Build-Depends

  [ Carsten Schoenert ]
  * Upload to unstable
    Fixes CVE-2023-46136
    (Closes: #1054553, #1058244)


 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 09 Feb 2024 19:32:22 +0100

python-werkzeug (3.0.1-1) experimental; urgency=medium

  * Team upload
  * [b97bb12] d/gbp.conf: Add some basic defaults for git-buildpackage
  * [9ba65b6] d/watch: Update and move to version 4
  * [8e91a92] d/gbp.conf: Adjust to debian/experimental
  * [1d55463] d/copyright: Drop Files-Excluded, not needed any more
  * [cffc6d3] New upstream version 3.0.1
    Fixes CVE-2023-46136
    (Closes: #1054553, #1058244)
  * [80a2855] Rebuild patch queue drom patch-queue branch
    Added patches:
    docs-Use-intersphix-with-Debian-packages.patch
    Renamed patch:
    preserve-any-existing-PYTHONPATH-in-tests.patch
     -> tests-Preserve-any-existing-PYTHONPATH-in-tests.patch
    Dropped patches (included upstream):
    0003-don-t-strip-leading-when-parsing-cookie.patch
    0004-limit-the-maximum-number-of-multipart-form-parts.patch
    Dropped patch (not needed any more):
    remove-test_exclude_patterns-test.patch
  * [385989d] d/control: Bump Standards-Version to 4.6.2
    No further changes needed.
  * [3e6cbd1] d/control: Update B-D as upstream has moved to flit
  * [80afaf5] d/control: Set nodoc build profile for python3-doc
  * [7468a1a] d/rules: Drop --with option in default target
  * [ca345a4] d/rules: Improve build of Sphinx based documentation
  * [ed1f0ae] d/rules: Remove file ICON_LICENSE.md in bin package
  * [98e1776] d/rules: Add removal of .mypy_cache to dh_clean
  * [9edc6e8] autopkgtest: Use more specific test dependencies
  * [2f48efc] d/copyright: Update content and copyright holders
  * [d3cbf83] d/u/metadata: Small updates
  * [daeb503] d/control: Reflect GitHub project website as Homepage
  * [e6c630c] d/python3-werkzeug.links: Remove sequencer, it's obsolet
  * [1db0b73] d/p-w-d.links: Remove linking to obsolet packages
  * [64bae1b] d/README.source: Adding a README file about source specifics
  * [774528e] d/salsa-ci.yml: Adding trigger file for Salsa CI

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 20 Dec 2023 19:22:33 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"

export PYBUILD_NAME=werkzeug
export PYBUILD_TEST_PYTEST=1
export PYBUILD_BEFORE_INSTALL=rm -rf {build_dir}/werkzeug/debug/shared/ICON_LICENSE.md

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	make -C docs clean
	rm -rf build Werkzeug.egg-info/
	#find $(CURDIR) \( -name '\._*' -o -name '\.DS_Store' \) -delete
	find . -iname '__pycache__' -exec rm -rf {} \; || true
	rm -rf .pytest_cache .mypy_cache debian/doctrees
	dh_auto_clean

override_dh_fixperms:
	find debian/ -name '*\.png' -exec chmod -x '{}' \;
	dh_fixperms

override_dh_installdocs:
	dh_installdocs --doc-main-package=python-werkzeug-doc -ppython-werkzeug-doc
	dh_installdocs

override_dh_installexamples:
	dh_installexamples --doc-main-package=python-werkzeug-doc -ppython-werkzeug-doc

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "werkzeug*dist-info" | head -n1)` \
	    python3 -m sphinx -b html docs/ -d debian/doctrees $(SPHINXOPTS) debian/python-werkzeug-doc/usr/share/doc/python-werkzeug-doc/html/
	dh_sphinxdoc
endif

## python-werkzeug 3.0.3

=== debian/changelog ===
python-werkzeug (3.0.3-1ubuntu0.1) oracular-security; urgency=medium

  * SECURITY UPDATE: DoS via memory consumption
    - debian/patches/CVE-2024-49767.patch: apply max_form_memory_size
      another level up in the parser in src/werkzeug/formparser.py,
      src/werkzeug/sansio/multipart.py, tests/test_formparser.py.
    - CVE-2024-49767

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 30 Oct 2024 14:22:24 +0100

python-werkzeug (3.0.3-1) unstable; urgency=medium

  * Team upload
  * [32a577e] New upstream version 3.0.3
    Fixes CVE-2024-34069
    (Closes: #1070711)
  * [9f49688] Rebuild patch queue drom patch-queue branch
    Adjusted patch:
    docs-Use-intersphix-with-Debian-packages.patch
  * [98b2263] d/copyright: Update year data
  * [730be75] d/control: Drop python3-sphinx-issues from B-D
  * [a4bd5f5] d/control: Bump Standards-Version to 4.7.0
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 09 May 2024 12:58:49 +0200

python-werkzeug (3.0.2-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * [44b776b] Remove myself from Uploaders.

  [ Carsten Schoenert ]
  * [ae61a23] New upstream version 3.0.2
  * [f5bd2de] Rebuild patch queue drom patch-queue branch
    Dropped patch:
    Fix-test-failure-with-Pytest-8.0.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 22 Mar 2024 19:43:39 +0100

=== debian/control ===
--- 
+++ 
@@ -5,26 +5,27 @@
 XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
- Ondřej Nový <onovy@debian.org>,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
+ flit,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-cryptography <!nocheck>,
- python3-doc,
+ python3-doc <!nodoc>,
  python3-ephemeral-port-reserve <!nocheck>,
  python3-greenlet <!nocheck>,
+ python3-markupsafe,
  python3-pallets-sphinx-themes <!nodoc>,
  python3-pytest <!nocheck>,
  python3-pytest-timeout <!nocheck>,
  python3-pytest-xprocess <!nocheck>,
- python3-setuptools,
  python3-sphinx <!nodoc>,
- python3-sphinx-issues <!nodoc>,
  python3-sphinxcontrib-log-cabinet <!nodoc>,
  python3-watchdog <!nocheck>,
-Homepage: http://werkzeug.pocoo.org/
+Homepage: https://github.com/pallets/werkzeug/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-werkzeug.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-werkzeug
 Testsuite: autopkgtest-pkg-python

## python-werkzeug 3.0.4

=== debian/changelog ===
python-werkzeug (3.0.4-1ubuntu1) plucky; urgency=medium

  * SECURITY UPDATE: DoS via memory consumption
    - debian/patches/CVE-2024-49767.patch: apply max_form_memory_size
      another level up in the parser in src/werkzeug/formparser.py,
      src/werkzeug/sansio/multipart.py, tests/test_formparser.py.
    - CVE-2024-49767

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 05 Nov 2024 10:11:21 -0500

python-werkzeug (3.0.4-1) unstable; urgency=medium

  * Team upload
  * [85ea57f] New upstream version 3.0.4

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 29 Aug 2024 17:44:25 +0200

## python-werkzeug 3.1.3

=== debian/changelog ===
python-werkzeug (3.1.3-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable
    Fixes CVE-2024-49767

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 25 Nov 2024 17:32:31 +0100

python-werkzeug (3.1.3-1) experimental; urgency=medium

  * Team upload
  * [a3a30e6] d/control: Sort the binary packages alphabetical
  * [f09c7a3] New upstream version 3.1.3
    Fixes CVE-2024-49767
    (Closes: #1086062)
  * [8afd1df] Rebuild patch queue from patch-queue branch
    Dropped patch (included upstream):
    tests-Preserve-any-existing-PYTHONPATH-in-tests.patch
  * [edf459d] d/rules: Add variable PYBUILD_TEST_ARGS
    We need to ignore some tests at build time now.
  * [1346e45] d/rules: Drop -D option from SPHINXOPTS
  * [804f129] d/control: python3-werkzeug - Drop dep on jibjs-jquery
    (Closes: #1065427)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 24 Nov 2024 08:50:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-werkzeug
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Standards-Version: 4.7.0
@@ -31,10 +30,24 @@
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
+Package: python-werkzeug-doc
+Section: doc
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+Multi-Arch: foreign
+Description: Documentation for the werkzeug Python library (docs)
+ Werkzeug is a lightweight library for interfacing with WSGI. It features
+ request and response objects, an interactive debugging system and a powerful
+ URI dispatcher. Combine with your choice of third party libraries and
+ middleware to easily create a custom application framework.
+ .
+ This package provides the Sphinx generated documentation for Werkzeug.
+
 Package: python3-werkzeug
 Architecture: all
 Depends:
- libjs-jquery,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
@@ -46,7 +59,7 @@
  python3-lxml,
  python3-pkg-resources,
  python3-watchdog,
-Description: collection of utilities for WSGI applications (Python 3.x)
+Description: Collection of utilities for WSGI applications (Python 3.x)
  The Web Server Gateway Interface (WSGI) is a standard interface between web
  server software and web applications written in Python.
  .
@@ -56,18 +69,3 @@
  middleware to easily create a custom application framework.
  .
  This package contains the Python 3.x module.
-
-Package: python-werkzeug-doc
-Section: doc
-Architecture: all
-Depends:
- ${misc:Depends},
- ${sphinxdoc:Depends},
-Multi-Arch: foreign
-Description: documentation for the werkzeug Python library (docs)
- Werkzeug is a lightweight library for interfacing with WSGI. It features
- request and response objects, an interactive debugging system and a powerful
- URI dispatcher. Combine with your choice of third party libraries and
- middleware to easily create a custom application framework.
- .
- This package provides the Sphinx generated documentation for Werkzeug.

=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,15 @@
 
 #export DH_VERBOSE = 1
 
-include /usr/share/dpkg/pkg-info.mk
-
-BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
-SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"
+SPHINXOPTS := -E -N
 
 export PYBUILD_NAME=werkzeug
 export PYBUILD_TEST_PYTEST=1
 export PYBUILD_BEFORE_INSTALL=rm -rf {build_dir}/werkzeug/debug/shared/ICON_LICENSE.md
+export PYBUILD_TEST_ARGS=--ignore tests/middleware/test_http_proxy.py --ignore tests/test_serving.py \
+'-k not test_basic \
+and not test_server \
+'
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-cryptography,
 python3-ephemeral-port-reserve,
 python3-greenlet,
 python3-pytest,
 python3-pytest-timeout,
 python3-pytest-xprocess,
 python3-watchdog,
 @,
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="mode=git, \
      compression=xz, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/werkzeug-$1\.tar\.gz/" \
https://github.com/pallets/werkzeug.git \
      refs/tags/@ANY_VERSION@

## python-werkzeug 3.1.4

=== debian/changelog ===
python-werkzeug (3.1.4-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * [f223c7d] stop suggesting python3-pkg-resources

  [ Carsten Schoenert ]
  * [a953ff4] d/watch: Convert to version 5
  * [12ed7e5] New upstream version 3.1.4
  * [f715303] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [e7b60d7] d/control: Bump Standars-Versions to 4.7.2
    No further modifications needed.
  * [f0505f3] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 13 Dec 2025 09:24:51 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
-Standards-Version: 4.7.0
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -24,11 +23,11 @@
  python3-sphinx <!nodoc>,
  python3-sphinxcontrib-log-cabinet <!nodoc>,
  python3-watchdog <!nocheck>,
+Standards-Version: 4.7.2
 Homepage: https://github.com/pallets/werkzeug/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-werkzeug.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-werkzeug
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python-werkzeug-doc
 Section: doc
@@ -57,7 +56,6 @@
  ipython3,
  python-werkzeug-doc,
  python3-lxml,
- python3-pkg-resources,
  python3-watchdog,
 Description: Collection of utilities for WSGI applications (Python 3.x)
  The Web Server Gateway Interface (WSGI) is a standard interface between web

## python-werkzeug 3.1.5

=== debian/changelog ===
python-werkzeug (3.1.5-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * [17e6015] New upstream version 3.1.5
  * [e50c5a8] d/control: Bump Standars-Versions to 4.7.3

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 17 Jan 2026 13:53:33 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  python3-sphinx <!nodoc>,
  python3-sphinxcontrib-log-cabinet <!nodoc>,
  python3-watchdog <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/pallets/werkzeug/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-werkzeug.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-werkzeug

=== debian/watch ===
Version: 5

Source: https://github.com/pallets/werkzeug.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: xz
Mode: git
Uversion-Mangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
